require 'test_helper'

context 'with the base class' do
  test 'get the environment' do
    assert 'test', AllSeeingEye.environment
  end
  
  test 'load the configuration' do
    assert AllSeeingEye.configuration[:all_seeing_eye]['request']
    assert !AllSeeingEye.configuration[:models].empty?
    assert AllSeeingEye.configuration[:redis]
  end
  
  test 'connect to Redis' do
    assert_equal '1', AllSeeingEye.redis.info["connected_clients"]
  end
  
  test 'loads new classes from YML file' do
    assert AllSeeingEye.const_defined?(:Request)
    assert AllSeeingEye.const_defined?(:Response)
    assert AllSeeingEye.configuration[:models].include?(AllSeeingEye::Request)
    assert AllSeeingEye.configuration[:models].include?(AllSeeingEye::Response)
  end
  
  test 'do not load default keys as classes' do
    assert !AllSeeingEye.const_defined?(:Timeout)
  end
end